<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h1>#{messages['net.ihe.gazelle.xdstar.TestPlanInstance']}</h1>
    <h:form id="form">
      <gri:panel rendered="#{testPlanInstanceManager.selectedTestPlanInstance != null}">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.TestPlanInstance']}</f:facet>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Description_3']} " style="font-weight:bold;"/>
        <br/>
        <h:outputText value="#{testPlanInstanceManager.selectedTestPlanInstance.parentTestPlan.description}" escape="false"/>
        <gri:panel>
          <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.TestConfiguration']}</f:facet>
          <a4j:repeat value="#{testPlanInstanceManager.selectedTestPlanInstance.globalInputInstance}" var="gii">
            <s:decorate template="/layout/display/_display.xhtml">
              <ui:define name="label">#{gii.globalInputType.description}</ui:define>
              <h:outputText value="#{gii.value}"/>
            </s:decorate>
          </a4j:repeat>
        </gri:panel>
        <s:div id="sequenceDiagramDiv">
        <s:div rendered="#{testPlanInstanceManager.selectedTestPlanInstance != null}"/>
          <s:decorate template="/layout/edit.xhtml" rendered="#{testPlanInstanceManager.selectedTestPlanInstance.id != null}">
            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PermanentLink_3']} </ui:define>
            <h:outputLink value="#{testPlanInstanceManager.getPermanentLink(testPlanInstanceManager.selectedTestPlanInstance)}" target="_blank">
              <h:outputText value="#{testPlanInstanceManager.getPermanentLink(testPlanInstanceManager.selectedTestPlanInstance)}"/>
            </h:outputLink>
          </s:decorate>

            <img align="middle"
                 src="#{testPlanInstanceManager.getSequenceDiagramAsUrl(testPlanInstanceManager.selectedTestPlanInstance)}" alt="Sequence Diagram"/>

        </s:div>
        <br/>
        <s:div id="TPIDiv">
          <ui:include src="tpidesc.xhtml">
            <ui:param name="tpi" value="#{testPlanInstanceManager.selectedTestPlanInstance}"/>
          </ui:include>
        </s:div>
      </gri:panel>
      <ui:include src="/messages/messageModalPanel.xhtml">
        <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
      </ui:include>
    </h:form>
  </ui:define>
</ui:composition>
